Bug 1029440 - durable messages cannot be dequeued after being paged out
durable messages cannot be dequeued after being paged out
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
3.0
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 06:53 EST by Gordon Sim
Modified: 2015-01-21 07:54 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:54:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5315 None None None Never

  None (edit)
Description Gordon Sim 2013-11-12 06:53:37 EST
Description of problem:

The persistence id of durable messages is not included in the paging file, so durable messages paged back into memory lose that crucial information preventing successful dequeue.  

Version-Release number of selected component (if applicable):

Early Access

How reproducible:

100%

Steps to Reproduce:
1. create a durable paged queue
2. send 100,000 durable 1024 byte messages to it
3. consume all messages

Actual results:

Get an exception about the lack of persistence id

Expected results:

All messages are successfully consumed and queue is empty at the end of test
Additional info:
Comment 1 Gordon Sim 2013-11-12 06:55:00 EST
Fixed upstream: https://svn.apache.org/r1540138
Comment 2 checking permissions 2014-01-31 09:13:01 EST
checked & verified

qpid-cpp-server-0.22-33.el6
qpid-cpp-client-ssl-0.22-33.el6
qpid-cpp-server-ssl-0.22-33.el6
qpid-cpp-client-0.22-33.el6
qpid-cpp-client-devel-0.22-33.el6
qpid-cpp-server-devel-0.22-33.el6
qpid-cpp-server-xml-0.22-33.el6
qpid-cpp-server-store-0.22-33.el6
qpid-cpp-server-ha-0.22-33.el6

Note You need to log in before you can comment on or make changes to this bug.